pqxx::connectionpolicy Class Reference
Connection classes

`#include <connectionpolicy.hxx>`

Inheritance diagram for pqxx::connectionpolicy:

## Public Types

typedef internal::pq::PGconn * | handle

## Public Member Functions

| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Protected Member Functions

handle | normalconnect (handle)

## Member Typedef Documentation

## handle

typedef internal::pq::PGconn* pqxx::connectionpolicy::handle

## Constructor & Destructor Documentation

## connectionpolicy()

pqxx::connectionpolicy::connectionpolicy | ( | const std::string & | opts | ) |

explicit

## ~connectionpolicy()

pqxx::connectionpolicy::~connectionpolicy | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

## do_completeconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_completeconnect | ( | handle | orig | ) |

virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_lazy.

Referenced by pqxx::connection_base::activate().

## do_disconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_disconnect | ( | handle | orig | ) |
throw | ( |
| ) |  |

virtual

References do_dropconnect().

Referenced by pqxx::connection_base::deactivate(), pqxx::connection_base::disconnect(), pqxx::connect_async::do_completeconnect(), pqxx::connect_direct::do_startconnect(), pqxx::connection_base::get_variable(), and pqxx::connection_base::simulate_failure().

## do_dropconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_dropconnect | ( | handle | orig | ) |
throw | ( |
| ) |  |

virtual

Reimplemented in pqxx::connect_async.

Referenced by do_disconnect().

## do_startconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_startconnect | ( | handle | orig | ) |

virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_direct.

Referenced by pqxx::connection_base::activate(), and pqxx::connection_base::init().

## is_ready()

bool pqxx::connectionpolicy::is_ready | ( | handle | h | ) | const
throw | ( |
| ) |  |

virtual

Reimplemented in pqxx::connect_async.

Referenced by pqxx::connection_base::init().

## normalconnect()

pqxx::connectionpolicy::handle pqxx::connectionpolicy::normalconnect | ( | handle | orig | ) |

protected

References options().

Referenced by pqxx::connect_lazy::do_completeconnect(), and pqxx::connect_direct::do_startconnect().

## options()

const std::string& pqxx::connectionpolicy::options | ( |  | ) | const
throw | ( |
| ) |  |

Referenced by pqxx::connect_async::do_startconnect(), and normalconnect().

The documentation for this class was generated from the following files:

- connectionpolicy.hxx
- connection.cxx